<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.bw.adv.module.activity.mapper.AwardPrizeRelMapper" >
  <resultMap id="BaseResultMap" type="com.bw.adv.module.activity.model.AwardPrizeRel" >
    <id column="AWARDS_PRIZE_REL_ID" property="awardsPrizeRelId" jdbcType="BIGINT" />
    <result column="AWARDS_ID" property="awardsId" jdbcType="BIGINT" />
    <result column="PRIZE_ID" property="prizeId" jdbcType="BIGINT" />
  </resultMap>
  <sql id="Base_Column_List" >
    AWARDS_PRIZE_REL_ID, AWARDS_ID, PRIZE_ID
  </sql>
  <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Long" >
    select 
    <include refid="Base_Column_List" />
    from awards_prize_rel
    where AWARDS_PRIZE_REL_ID = #{awardsPrizeRelId,jdbcType=BIGINT}
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long" >
    delete from awards_prize_rel
    where AWARDS_PRIZE_REL_ID = #{awardsPrizeRelId,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.bw.adv.module.activity.model.AwardPrizeRel" >
    insert into awards_prize_rel (AWARDS_PRIZE_REL_ID, AWARDS_ID, PRIZE_ID
      )
    values (#{awardsPrizeRelId,jdbcType=BIGINT}, #{awardsId,jdbcType=BIGINT}, #{prizeId,jdbcType=BIGINT}
      )
  </insert>
  <insert id="insertSelective" parameterType="com.bw.adv.module.activity.model.AwardPrizeRel" >
    insert into awards_prize_rel
    <trim prefix="(" suffix=")" suffixOverrides="," >
      <if test="awardsPrizeRelId != null" >
        AWARDS_PRIZE_REL_ID,
      </if>
      <if test="awardsId != null" >
        AWARDS_ID,
      </if>
      <if test="prizeId != null" >
        PRIZE_ID,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides="," >
      <if test="awardsPrizeRelId != null" >
        #{awardsPrizeRelId,jdbcType=BIGINT},
      </if>
      <if test="awardsId != null" >
        #{awardsId,jdbcType=BIGINT},
      </if>
      <if test="prizeId != null" >
        #{prizeId,jdbcType=BIGINT},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.bw.adv.module.activity.model.AwardPrizeRel" >
    update awards_prize_rel
    <set >
      <if test="awardsId != null" >
        AWARDS_ID = #{awardsId,jdbcType=BIGINT},
      </if>
      <if test="prizeId != null" >
        PRIZE_ID = #{prizeId,jdbcType=BIGINT},
      </if>
    </set>
    where AWARDS_PRIZE_REL_ID = #{awardsPrizeRelId,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.bw.adv.module.activity.model.AwardPrizeRel" >
    update awards_prize_rel
    set AWARDS_ID = #{awardsId,jdbcType=BIGINT},
      PRIZE_ID = #{prizeId,jdbcType=BIGINT}
    where AWARDS_PRIZE_REL_ID = #{awardsPrizeRelId,jdbcType=BIGINT}
  </update>
  
  <delete id="deleteRelBySceneGameInstanceId" parameterType="java.lang.Long">
  	delete from awards_prize_rel where AWARDS_ID in (select AWARDS_ID from awards where SCENE_GAME_INSTANCE_ID=#{sceneGameInstanceId,jdbcType=BIGINT})
  </delete>
</mapper>